ToCoNet SDK 旧版

ざまりんToCoNet(トコネット)のソフトウエア開発環境(SDK)の旧版のダウンロードです。新しいモジュールで動作しない場合もありますのでご注意ください。

ダウンロード

※十分注意をしておりますが、万が一もございますので、お客様の方でもウイルスチェックを行っていただくようお願い申し上げます。

※ 一度ページをリロードしてから、ダウンロードファイルをクリックしてください。

※ FTP によるダウンロードとなります。ダウンロードがうまくいかない場合は、ブラウザ, FTP クライアントを違うものに試してみる、別のネットワーク環境からダウンロードをお試しください。

*重要* 2014/6 月号のSDKをお使いのお客様へ

本SDKを用いてビルドしたモジュールでは、シリアル番号 1010000 以降のモジュールでファームウェアが始動しない問題が確認されております。お手数ですが .../TWESDK/Wks_libToCoNet/lib を以下のファイルと差し換えていただき、ファームウェアを再ビルドしていただくようお願い申し上げます。

Windows 版

Linux 版

 

Eclipse では、文字コードのデフォルトが UTF-8 に設定されておらず、一部文字化けすることがあります。Eclipse のアプリケーションをダウンロード後、eclipse.ini に以下の行を追加します。

-Dfile.encoding=utf-8

Mac OS X 版

 

Eclipse では、文字コードのデフォルトが UTF-8 に設定されておらず、一部文字化けすることがあります。Eclipse のアプリケーションをダウンロード後、アプリケーションアイコンをフォルダとして開き、 Eclipse.app/Contents/MacOS/eclipse.ini に以下の行を追加します。

-Dfile.encoding=utf-8

※ ファームウェアプログラムには FTDI 社VCP ドライバを導入が必要です。Apple 社製のドライバでは動作しません。

Raspberry Pi 版 (書き込みユーティリティのみ)

ToCoNet SDKの確認済み環境

動作対象環境としては Windows Vista 64bit, 7 32bit, 64bit としていますが、以下の環境でも Eclipse の起動とビルドが確認できています。